Skip to main content
PUT
/
api
/
GiftAsk
/
{giftAskId}
Update a Gift Ask
curl --request PUT \
  --url https://api.virtuoussoftware.com/api/GiftAsk/{giftAskId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "askAmount": "<double:required>",
  "askDate": "<dateTime:optional>",
  "expectedFulfillmentDate": "<dateTime:optional>",
  "notes": "<string:optional>",
  "askType": "<string:FixedAsk|RecurringAsk:required>",
  "frequency": "<string:optional>",
  "declined": "<boolean:optional:default=false>",
  "projectId": "<integer:optional>",
  "segmentId": "<integer:optional>",
  "assignedUserId": "<integer:optional>",
  "secondaryAssignedUserId": "<integer:optional>",
  "status": "<string:required>",
  "customFields": [
    {
      "name": "<string:required>",
      "value": "<string:optional>"
    },
    {
      "name": "<string:required>",
      "value": "<string:optional>"
    }
  ]
}
'
{
  "id": "<integer>",
  "giftAskUrl": "<string>",
  "giftsAppliedUrl": "<string>",
  "contactId": "<integer>",
  "contactUrl": "<string>",
  "askAmount": "<double>",
  "askAmountFormatted": "<string>",
  "askDate": "<dateTime>",
  "askDateFormatted": "<string>",
  "expectedFulfillmentDate": "<dateTime>",
  "expectedFulfillmentDateFormatted": "<string>",
  "notes": "<string>",
  "askType": "<string>",
  "frequency": "<string>",
  "declined": "<boolean>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "projectId": "<integer>",
  "project": "<string>",
  "projectUrl": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "segmentCode": "<string>",
  "segmentUrl": "<string>",
  "assignedUserId": "<integer>",
  "assignedUser": "<string>",
  "secondaryAssignedUser": "<string>",
  "secondaryAssignedUserId": "<integer>",
  "status": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

giftAskId
string
required

(Required) The giftAsk identifier.

Body

application/json
askAmount
string<style>
askDate
string
expectedFulfillmentDate
string<style>
notes
string
askType
string<style>
frequency
string
declined
string<style>
projectId
string
segmentId
string<style>
assignedUserId
string
secondaryAssignedUserId
string<style>
status
string
customFields
object[]

Response

OK

id
string
giftAskUrl
string
giftsAppliedUrl
string
contactId
string
contactUrl
string
askAmount
string
askAmountFormatted
string
askDate
string
askDateFormatted
string
expectedFulfillmentDate
string
expectedFulfillmentDateFormatted
string
notes
string
askType
string
frequency
string
declined
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
projectId
string
project
string
projectUrl
string
segmentId
string
segment
string
segmentCode
string
segmentUrl
string
assignedUserId
string
assignedUser
string
secondaryAssignedUser
string
secondaryAssignedUserId
string
status
string
customFields
object[]
Last modified on April 24, 2026